> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List SKUs

> Retrieve a list of SKUs from the merchant catalog with optional filtering and pagination

<RequestExample>
  ```bash cURL  theme={null}
  curl -X GET 'https://product.api.e-cross.tech/ext/merchant/skus?lastUpdateDateFrom=2025-10-06T00:00:00.000Z&nextPageToken='
  \ -H 'Authorization: Bearer YOUR_TOKEN' 
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "skus": [
      {
        "merchantProductId": "ACME-1234567",
        "skuId": "1234567891",
        "name": "USB charger type C",
        "weight": 0.1,
        "ean": "0799439112767",
        "lastUpdateDate": "2025-10-06T19:28:17.463Z",
        "length": 19,
        "width": 4,
        "height": 4,
        "images": [
          "https://image-host/1234567/1.jpeg"
        ],
        "main": true,
        "globalSaleChannelData": {
          "size": "1 meter",
          "color": "silver",
          "active": true,
          "brand": "ChargerW",
          "category": "Telefones e Celulares/Acessórios/Carregadores",
          "attributes": [
            {
              "name": "Connection Type",
              "value": "USB-C"
            }
          ]
        },
        "description": "Beautiful and reliable super fast USB Type C charger.",
        "id": "ACME-1234567891",
        "productId": "1234567",
        "merchantId": "ACME",
        "salesChannelStatus": {
          "ECOM": {
            "statusDate": "2024-09-06T11:13:30.533Z",
            "statusMessage": "Integration successful",
            "status": "SALES_CHANNEL_APPROVED"
          }
        },
      }
    ],
    "nextPageToken": "eyJ0eXBlIjoibWFzdGVyIiwibG9jYWxpemF0aW9uU3RhdHVzIjoiUkVBRFlfRk9SX1NBTEVTX0NIQU5ORUwiLCJpZCI6IkFMSEFNQVMtNDQ5NTg4NDI2ODM1NTEiLCJtZXJjaGFudElkIjoiQUxIQU1BUyJ9"
  }
  ```
</ResponseExample>

### Query Parameters

<ParamField query="lastUpdateDateFrom" type="string">
  Return only SKUs updated after this date. Must be in ISO 8601 format (e.g. `2025-10-06T00:00:00.000Z`). If not provided, all SKUs are returned.
</ParamField>

<ParamField query="nextPageToken" type="string">
  The token to fetch the next page of results. Use the value returned in the `nextPageToken` field of the previous request. If there are no more results, this field won't be returned in the response.
</ParamField>

### Response Fields

<ResponseField name="skus" type="array">
  Array containing SKUs that match the provided filters. Each SKU object has the same structure as defined in the [Upsert SKUs API](/api-reference/merchant-catalog/upsert-skus).
</ResponseField>

<ResponseField name="nextPageToken" type="string">
  The token to be used in the query parameter to retrieve the next page of results. If there are no more results, this field won't be returned.
</ResponseField>
